<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.credential-store">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="credential-reference,path,relative-to,create,implementation-properties,location,modifiable,other-providers,provider-name,providers,type"/>
        <elem name="addr-params" value="profile,host,subsystem,credential-store"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.credential-store.$credential-store"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.providers.$other-providers" optional="true"/>
        <capability name="$profile.org.wildfly.security.providers.$providers" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="credential-store" feature-id="true"/>
        <param name="provider-name" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="implementation-properties" nillable="true"/>
        <param name="credential-reference"/>
        <param name="type" nillable="true"/>
        <param name="path" nillable="true"/>
        <param name="relative-to" nillable="true"/>
        <param name="other-providers" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="create" nillable="true"/>
        <param name="location" nillable="true"/>
        <param name="modifiable" nillable="true"/>
        <param name="providers" nillable="true"/>
    </params>
</feature-spec>